Page MenuHomePhabricator

Client Developer uses Wikifeeds API
Closed, ResolvedPublic

Description

"As a Client Developer, I want a RESTful API with information on timely or featured articles, so I can show my users new time-sensitive Wikimedia project data."

After talking with PI, they think Wikifeeds makes a good candidate for the public API. I do, too. So, this is the user story for "Mount Wikifeeds in the tree."

We'll use ''feed'' as the prefix and 1 as the version.

PathMount
/feed/v1/<project>/<language>/<path><language>.<project>.org/api/rest_v1/feed/<path>

There are, I think, only some languages and projects that have feeds. I'm not sure what happens right now if you hit a feed for a project that doesn't have a feed.

Event Timeline

eprodromou triaged this task as High priority.Jun 19 2020, 4:17 PM

Change 618963 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: hack to support wikifeeds

https://gerrit.wikimedia.org/r/618963

Change 618963 merged by jenkins-bot:
[operations/deployment-charts@master] Support wikifeeds in api-gateway.

https://gerrit.wikimedia.org/r/618963

Naike reassigned this task from hnowlan to eprodromou.Aug 14 2020, 1:04 PM
Naike added a subscriber: hnowlan.
eprodromou added a subscriber: apaskulin.

Looks good! I'm moving this down the board.

One thing I noticed was that we don't have the Feed Availability endpoint available, which @apaskulin had mentioned before. I'm going to add a separate user story for that in a later epic.

eprodromou closed this task as Resolved.Sep 22 2020, 5:16 PM